<template>
  <v-img
    :src="require(`@/assets/img/articles/${post.img}`)"
    class="s s-gradient"
    aspect-ratio="1:1"
    gradient="0deg, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)"
  >
    <div class="curved-large-trend-post-card-title mb-2">
      {{ post.title }}
    </div>
    <div class="curved-large-trend-post-card-source">
      {{ post.author }}
    </div>
  </v-img>
</template>

<script>
export default {
  name: "CurvedLargeTrendPostCard",

  props: {
    post: {
      type: Object,
      required: true,
    },
  },
};
</script>

<style>
.s {
  border-radius: 60px;
  padding: 30px 56px;
}

.curved-large-trend-post-card-title {
  font-family: "Josefin Sans", sans-serif;
  font-style: normal;
  font-weight: bold;
  font-size: 24px;
  line-height: 24px;

  color: #ffffff;
}

.curved-large-trend-post-card-source {
  font-family: "Roboto Condensed", sans-serif;
  font-style: normal;
  font-weight: normal;
  font-size: 18px;
  line-height: 21px;

  color: #ffffff;
}
</style>
